Module
Contents
Index 🔎︎

# Add-in Functions

The following describes and lists some of the available add-in functions.

Concepte de complement

You will also find a description of the LibreOffice Calc add-in interface in the Help. In addition, important functions and their parameters are described in the Help for the Shared Library LibreOffice Calc add-in DLL.

## Els complements següents estan instal·lats

El LibreOffice conté exemples per a la interfície de complements del LibreOffice Calc.

Funcions d'anàlisi: primera part

Funcions d'anàlisi: segona part

## ANYS

Calcula la diferència en anys entre dues dates.

### Syntax

ANYS(DataDInici; DataDeFinalització; Tipus)

La DataDInici és la primera data

La DataDeFinalització és la segona data

Tipus calcula el tipus de diferència. Els valors possibles inclouen 0 (interval) i 1 (en anys de calendari).

## DIESENANY

Calcula el nombre de dies de l'any corresponent a la data indicada.

### Syntax

DIESENANY(Data)

Data és qualsevol data en l'any respectiu. El paràmetre Data ha de ser una data vàlida d'acord amb la configuració regional del LibreOffice.

### Example

=DIESENANY(A1) retorna 366 dies si A1 conté 29-02-1968, una data vàlida per a l'any 1968.

## DIESENMES

Calcula el nombre de dies en el mes corresponent a la data indicada.

### Syntax

DIESENMES(Data)

Data és qualsevol data en el mes respectiu de l'any indicat. El paràmetre Data ha de ser una data vàlida d'acord amb la configuració regional del LibreOffice.

### Example

=DIESENMES(A1) retorna 29 dies si A1 conté 17-02-1968, una data vàlida per al febrer de 1968.

## ESANYTRASPAS

Determina si un any és de traspàs. Si ho és, la funció retornarà el valor 1 (CERT); en cas contrari, retornarà 0 (FALS).

### Syntax

ESANYTRASPAS("Data")

Date specifies whether a given date falls within a leap year. The Date parameter must be a valid date.

### Example

=ESANYTRASPAS(A1) retorna 1, si A1 conté 29-02-1968, la data vàlida del 29 de febrer de 1968 en la vostra configuració regional.

You may also use =ISLEAPYEAR(DATE(1968;2;29)) or =ISLEAPYEAR("1968-02-29") giving the date string in the ISO 8601 notation.

No utilitzeu mai =ESANYTRASPAS(29/2/68) perquè això avaluaria en primer lloc 2 dividit entre 29 dividit entre 68 i, tot seguit, calcularia la funció ESANYTRASPAS a partir d'este nombre petit com a nombre de data en sèrie.

## MESOS

Calcula la diferència en mesos entre dues dates.

### Syntax

MESOS(DataDInici; DataDeFinalització; Tipus)

La DataDInici és la primera data

La DataDeFinalització és la segona data

Tipus calcula el tipus de diferència. Els valors possibles inclouen 0 (interval) i 1 (en mesos de calendari).

## ROT13

Encripta una cadena de caràcters; per fer-ho, desplaça els caràcters 13 posicions en l'abecedari. Després de la lletra Z, l'abecedari torna a començar (rotació). Per desencriptar el text, torneu a aplicar la funció d'encriptatge al codi resultant.

### Syntax

ROT13(Text)

Text és la cadena de caràcters que s'ha d'encriptar. ROT13(ROT13(Text)) desencripta el codi.

## SETMANES

Calcula la diferència en setmanes entre dues dates.

### Syntax

SETMANES(DataDInici; DataDeFinalització; Tipus)

La DataDInici és la primera data

La DataDeFinalització és la segona data

Tipus calcula el tipus de diferència. Els valors possibles són 0 (interval) i 1 (en nombres de setmanes).

## SETMANESENANY

Calcula el nombre de setmanes de l'any en què té lloc la data indicada. El nombre de setmanes es defineix de la manera següent: si una setmana es troba entre dos anys, s'afig a l'any en què tenen lloc la majoria de dies d'esta setmana.

### Syntax

SETMANESENANY(Data)

Data és qualsevol data en l'any respectiu. El paràmetre Data ha de ser una data vàlida d'acord amb la configuració regional del LibreOffice.

### Example

SETMANESENANY(A1) retorna 53 si A1 conté 1970-02-17, una data vàlida per a l'any 1970.

## Complements a través de l'API del LibreOffice

Add-ins can also be implemented through the LibreOffice API.

Temes relacionats

Functions by Category